package com.steerinfo.meterwork.meterworkcompareconfig.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="比对管理-数据配置")
public class MeterWorkCompareConfig implements IBasePO<String> {
    /**
     * 表主键(COMPARE_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="表主键",required=true)
    private String compareId;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,80)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 物料编码(MATTER_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="物料编码",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,80)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 计划时间(天/次)(PLANNING_TIME,VARCHAR,10)
     */
    @ApiModelProperty(value="计划时间(天/次)",required=false)
    private String planningTime;

    /**
     * 比例值(%)(PROPORTIONAL_VALUE,VARCHAR,20)
     */
    @ApiModelProperty(value="比例值(%)",required=false)
    private String proportionalValue;

    /**
     * 固重值(kg)(FIXED_VALUE,DECIMAL,15)
     */
    @ApiModelProperty(value="固重值(kg)",required=false)
    private BigDecimal fixedValue;

    /**
     * 状态(0为无效，1为有效)(VALUE_FLAG,VARCHAR,2)
     */
    @ApiModelProperty(value="状态(0为无效，1为有效)",required=false)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 重量类型编码(WEIGHT_TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="重量类型编码",required=false)
    private String weightTypeNo;

    /**
     * 重量类型名称(WEIGHT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="重量类型名称",required=false)
    private String weightTypeName;

    /**
     * 对比类型编码(COMPARE_TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="对比类型编码",required=false)
    private String compareTypeNo;

    /**
     * 对比类型名称(COMPARE_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="对比类型名称",required=false)
    private String compareTypeName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.compareId;
    }

    @Override
    public void setId(String compareId) {
        this.compareId = compareId == null ? null : compareId.trim();
    }

    public String getCompareId() {
        return compareId;
    }

    public void setCompareId(String compareId) {
        this.compareId = compareId == null ? null : compareId.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getPlanningTime() {
        return planningTime;
    }

    public void setPlanningTime(String planningTime) {
        this.planningTime = planningTime == null ? null : planningTime.trim();
    }

    public String getProportionalValue() {
        return proportionalValue;
    }

    public void setProportionalValue(String proportionalValue) {
        this.proportionalValue = proportionalValue == null ? null : proportionalValue.trim();
    }

    public BigDecimal getFixedValue() {
        return fixedValue;
    }

    public void setFixedValue(BigDecimal fixedValue) {
        this.fixedValue = fixedValue;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getWeightTypeNo() {
        return weightTypeNo;
    }

    public void setWeightTypeNo(String weightTypeNo) {
        this.weightTypeNo = weightTypeNo == null ? null : weightTypeNo.trim();
    }

    public String getWeightTypeName() {
        return weightTypeName;
    }

    public void setWeightTypeName(String weightTypeName) {
        this.weightTypeName = weightTypeName == null ? null : weightTypeName.trim();
    }

    public String getCompareTypeNo() {
        return compareTypeNo;
    }

    public void setCompareTypeNo(String compareTypeNo) {
        this.compareTypeNo = compareTypeNo == null ? null : compareTypeNo.trim();
    }

    public String getCompareTypeName() {
        return compareTypeName;
    }

    public void setCompareTypeName(String compareTypeName) {
        this.compareTypeName = compareTypeName == null ? null : compareTypeName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", compareId=").append(compareId);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", planningTime=").append(planningTime);
        sb.append(", proportionalValue=").append(proportionalValue);
        sb.append(", fixedValue=").append(fixedValue);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", memo=").append(memo);
        sb.append(", weightTypeNo=").append(weightTypeNo);
        sb.append(", weightTypeName=").append(weightTypeName);
        sb.append(", compareTypeNo=").append(compareTypeNo);
        sb.append(", compareTypeName=").append(compareTypeName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}